/***********************************************************
Copyright 1990 by Digital Equipment Corporation, Maynard, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute these examples for any
purpose and without fee is hereby granted, provided that the above
copyright notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting documentation,
and that the name of Digital not be used in advertising or publicity
pertaining to distribution of the software without specific, written
prior permission.

DIGITAL AND THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS, IN NO EVENT SHALL DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT
OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
OR PERFORMANCE OF THIS SOFTWARE.

******************************************************************/

/* Make it safe to include this file more than once. */

#ifndef MINMAXP_H
#define MINMAXP_H

/* Include the public header file for MinMax */

#include "MinMax.h"

/* Define the MinMax instance part */

typedef struct {
  /* New resource fields */
    Dimension	margin;		/* Extra space to leave on edges */

  /* New internal fields */
    Widget	last_focus;	/* Child that last had the focus */
} MinMaxPart;

/* Define the full instance record */

typedef struct _MinMaxRec {
    CorePart		core;
    CompositePart	composite;
    ConstraintPart	constraint;
    MinMaxPart		minMax;
} MinMaxRec;

/* Define class part structure */

typedef struct {
    XtPointer		extension;
} MinMaxClassPart;

/* Define the full class record */

typedef struct _MinMaxClassRec {
    CoreClassPart	core_class;
    CompositeClassPart	composite_class;
    ConstraintClassPart	constraint_class;
    MinMaxClassPart	minMax_class;
} MinMaxClassRec, *MinMaxClass;

/* Define constraint part structure */

typedef struct {
  /* New resource fields */
    short		min_width;
    short		max_width;
    short		min_height;
    short		max_height;
} MinMaxConstraintPart;

/* Define the full constraint record */

typedef struct _MinMaxConstraintRec {
    MinMaxConstraintPart minMax;
} MinMaxConstraintRec, *MinMaxConstraint;


/* External definition for class record */

extern MinMaxClassRec minMaxClassRec;

/* End of preprocessor directives */

#endif /* MINMAXP_H */

